## ros-humble-aruco-ros 5.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(aruco_ros)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()
set(CMAKE_CXX_STANDARD 11) # C++11...
set(CMAKE_CXX_STANDARD_REQUIRED ON) #...is required...
set(CMAKE_CXX_EXTENSIONS ON) #...with compiler extensions like gnu++11

set(THIS_PACKAGE_INCLUDE_DEPENDS
    OpenCV
    cv_bridge
    geometry_msgs
    image_transport
    rclcpp
    rclpy
    tf2
    tf2_ros
    tf2_geometry_msgs
    aruco
    aruco_msgs
    sensor_msgs
    visualization_msgs
)
find_package(ament_cmake REQUIRED)
foreach(Dependency IN ITEMS ${THIS_PACKAGE_INCLUDE_DEPENDS})
  find_package(${Dependency} REQUIRED)
endforeach()

#generate_dynamic_reconfigure_options(
#  cfg/ArucoThreshold.cfg
#)

add_library(aruco_ros_utils SHARED src/aruco_ros_utils.cpp)
target_include_directories(aruco_ros_utils
  PUBLIC
  include)

target_include_directories(aruco_ros_utils
  SYSTEM PUBLIC
  ${OpenCV_INCLUDE_DIRS}
)
ament_target_dependencies(aruco_ros_utils ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(aruco_ros_utils ${OpenCV_LIBRARIES})

add_executable(single src/simple_single.cpp
                      src/aruco_ros_utils.cpp)

target_include_directories(single
  PUBLIC
  include)

target_include_directories(single
  SYSTEM PUBLIC
  ${OpenCV_INCLUDE_DIRS}
)
ament_target_dependencies(single ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(single ${OpenCV_LIBRARIES})

add_executable(double src/simple_double.cpp
                      src/aruco_ros_utils.cpp)
target_include_directories(double
  PUBLIC
  include)

target_include_directories(double
  SYSTEM PUBLIC
  ${OpenCV_INCLUDE_DIRS}
)
ament_target_dependencies(double ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(double ${OpenCV_LIBRARIES})

add_executable(marker_publisher src/marker_publish.cpp
                                src/aruco_ros_utils.cpp)
target_include_directories(marker_publisher
  PUBLIC
  include)

target_include_directories(marker_publisher
  SYSTEM PUBLIC
  ${OpenCV_INCLUDE_DIRS}
)
ament_target_dependencies(marker_publisher ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(marker_publisher ${OpenCV_LIBRARIES})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  list(APPEND AMENT_LINT_AUTO_EXCLUDE
    ament_cmake_copyright
  )
  ament_lint_auto_find_test_dependencies()
endif()

#############
## Install ##
#############

install(TARGETS aruco_ros_utils
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

install(TARGETS marker_publisher single double
  DESTINATION lib/${PROJECT_NAME})

install(DIRECTORY include/
        DESTINATION include
        FILES_MATCHING PATTERN "*.h"
)

foreach(dir etc launch)
    install(DIRECTORY ${dir}/
            DESTINATION share/${PROJECT_NAME}/${dir})
endforeach()

ament_package()

=== debian/changelog ===
ros-humble-aruco-ros (5.0.0-1jammy) jammy; urgency=high

  * ament uncrustify lint
  * create subnode to namespace the topics and changed default node names
  * declare params and fix launchers
  * disable copyright check
  * linters fixes
  * add tests
  * remove wrong copyright
  * params fix
  * port launchers to ros2
  * declare node parameters
  * migrate the aruco_ros double node to ROS2
  * added some fixes for the aruco_simple ros2 node
  * migrate the node aruco_simple to ROS2
  * refactor marker_publisher for the setup to work correctly
  * migrated the marker publish node to ROS2
  * migrated the aruco_ros_utils.cpp to ros2
  * added temporary changes of humble
  * Contributors: Noel Jimenez, Sai Kishor Kothakota

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Wed, 08 Feb 2023 00:00:00 -0000

ros-humble-aruco-ros (3.1.2-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Thu, 10 Nov 2022 00:00:00 -0000

ros-humble-aruco-ros (3.1.1-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Tue, 08 Nov 2022 00:00:00 -0000

ros-humble-aruco-ros (3.1.0-1jammy) jammy; urgency=high

  * Merge branch 'feat/aruco-3.1.5-migration-gallium' into 'gallium-devel'
    ArUCO 3.1.5 migration gallium
    See merge request ros-overlays/aruco_ros!5
  * Add correct fisheye distortion functionality
  * migrate to 3.1.5
  * Contributors: josegarcia, saikishor

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-aruco-ros (3.0.3-1jammy) jammy; urgency=high

  * Merge branch 'missing_catkin_export_dep' into 'gallium-devel'
    added the missing catkin_EXPORTED_TARGETS dependency
    See merge request ros-overlays/aruco_ros!3
  * added the missing catkin_EXPORTED_TARGETS dependency
  * Contributors: Sai Kishor Kothakota, saikishor

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 16 May 2022 00:00:00 -0000

ros-humble-aruco-ros (3.0.2-1jammy) jammy; urgency=high

  * Merge pull request #103 from bmagyar/make-sai-maintainer
    Make Sai maintainer of all aruco_ros packages
  * Make Sai maintainer of all
  * Update license tags in the package.xml
  * Contributors: Bence Magyar, Sai Kishor Kothakota

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-aruco-ros (3.0.1-1jammy) jammy; urgency=high

  * Merge branch 'fix_camera_matrix_gallium' into 'gallium-devel'
    fix the issue with the improper camera matrix with non rectified images
    See merge request ros-overlays/aruco_ros!2
  * fix the issue with the improper camera matrix with non rectified images
  * Contributors: Sai Kishor Kothakota, saikishor

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Thu, 10 Feb 2022 00:00:00 -0000

ros-humble-aruco-ros (3.0.0-1jammy) jammy; urgency=high

  * fixes pal-robotics/aruco_ros/#89
  * Contributors: 444lhc

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Fri, 16 Jul 2021 00:00:00 -0000

ros-humble-aruco-ros (2.1.1-1jammy) jammy; urgency=high

  * Use time stamps from image messages
  * Contributors: Markus Vieth

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Thu, 17 Sep 2020 00:00:00 -0000

ros-humble-aruco-ros (2.1.0-1jammy) jammy; urgency=high

  * Migrate to tf2 and add utilities
  * Add support for camera extrinsics when dealing with stereo cameras
  * Contributors: Victor Lopez

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Tue, 21 Jan 2020 00:00:00 -0000

ros-humble-aruco-ros (2.0.2-1jammy) jammy; urgency=high

  * Add SYSTEM to external include dirs
  * Contributors: Victor Lopez

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Sat, 09 Nov 2019 00:00:00 -0000

ros-humble-aruco-ros (2.0.1-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Fri, 27 Sep 2019 00:00:00 -0000

ros-humble-aruco-ros (1.0.0-1jammy) jammy; urgency=high

  * Merge pull request #68 <https://github.com/pal-robotics/aruco_ros//issues/68> from aPonza/ros_format
    Autoformatting as per CppStyleGuide
  * removed using namespace declarations
  * autoformatting as per CppStyleGuide
  * Merge pull request #58 <https://github.com/pal-robotics/aruco_ros//issues/58> from jrgnicho/aruco-3.0.4
    Sets the 'useRectifiedImages' member from a parameter before it uses it
  * sets the 'useRectifiedImages' member from a parameter before it uses it
  * Update readme for new coordinates
  * Fix orientation changes in aruco 3.0.0
  * Migration to aruco 3.0.4
  * Merge branch 'indigo-devel' into kinetic-devel
  * Merge pull request #41 <https://github.com/pal-robotics/aruco_ros//issues/41> from Voidminded/kinetic-devel
    Fixed OpenCV Calib3D link error on ROS Kinetic
  * Fixed OpenCV Calib3D link error on ROS Kinetic
  * Merge pull request #36 <https://github.com/pal-robotics/aruco_ros//issues/36> from pal-robotics/add-aruco-ros-utils
    Add aruco_ros_utils lib and fix some missing dependencies
  * Add aruco_ros_utils lib and fix some missing dependencies
  * Merge pull request #35 <https://github.com/pal-robotics/aruco_ros//issues/35> from ugnelis/kinetic-devel
    Removed duplicated line.
  * Removed duplicated line.
  * Merge pull request #27 <https://github.com/pal-robotics/aruco_ros//issues/27> from cehberlin/assert_fix
    Replace assert by error message to keep library functional
  * Improved camera_frame_ assert and removed unecessary opencv includes
  * Replace assert by error message to keep library functional
  * Contributors: Andrea Ponza, Bence Magyar, Christopher Hrabia, Jordi Pages, Jorge Nicho, Ugnius Malūkas, Victor Lopez, Voidminded

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Fri, 27 Sep 2019 00:00:00 -0000

ros-humble-aruco-ros (0.2.2-1jammy) jammy; urgency=high

  * only look for aruco if someone is looking for them
  * Contributors: Victor Lopez

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Tue, 25 Jul 2017 00:00:00 -0000



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-aruco-ros//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-aruco-ros 5.0.5

=== debian/changelog ===
ros-humble-aruco-ros (5.0.5-2bookworm) bookworm; urgency=high

  * Merge pull request #135 from wep21/jazzy-devel
    Update cv_bridge header
  * check header exists
  * feat: update cv bridge header
  * Contributors: Sai Kishor Kothakota, wep21

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Wed, 08 May 2024 16:00:00 -0000

ros-humble-aruco-ros (5.0.4-2bookworm) bookworm; urgency=high

  * Add website tag
  * Contributors: Noel Jimenez

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-aruco-ros (5.0.3-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 02 Oct 2023 16:00:00 -0000

ros-humble-aruco-ros (5.0.2-2bookworm) bookworm; urgency=high

  * Merge branch 'fix_warnings' into 'humble-devel'
    Fix warnings
    See merge request ros-overlays/aruco_ros!11
  * rename variable to avoid shadowing
  * check marker_size greater than 0
  * return true at the end of setup
  * Contributors: Noel Jimenez, saikishor

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Sun, 19 Mar 2023 16:00:00 -0000

ros-humble-aruco-ros (5.0.1-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Sun, 05 Mar 2023 16:00:00 -0000

ros-humble-aruco-ros (5.0.0-2bookworm) bookworm; urgency=high

  * ament uncrustify lint
  * create subnode to namespace the topics and changed default node names
  * declare params and fix launchers
  * disable copyright check
  * linters fixes
  * add tests
  * remove wrong copyright
  * params fix
  * port launchers to ros2
  * declare node parameters
  * migrate the aruco_ros double node to ROS2
  * added some fixes for the aruco_simple ros2 node
  * migrate the node aruco_simple to ROS2
  * refactor marker_publisher for the setup to work correctly
  * migrated the marker publish node to ROS2
  * migrated the aruco_ros_utils.cpp to ros2
  * added temporary changes of humble
  * Contributors: Noel Jimenez, Sai Kishor Kothakota

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Tue, 07 Feb 2023 16:00:00 -0000

ros-humble-aruco-ros (3.1.2-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Wed, 09 Nov 2022 16:00:00 -0000

ros-humble-aruco-ros (3.1.1-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 07 Nov 2022 16:00:00 -0000

ros-humble-aruco-ros (3.1.0-2bookworm) bookworm; urgency=high

  * Merge branch 'feat/aruco-3.1.5-migration-gallium' into 'gallium-devel'
    ArUCO 3.1.5 migration gallium
    See merge request ros-overlays/aruco_ros!5
  * Add correct fisheye distortion functionality
  * migrate to 3.1.5
  * Contributors: josegarcia, saikishor

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-aruco-ros (3.0.3-2bookworm) bookworm; urgency=high

  * Merge branch 'missing_catkin_export_dep' into 'gallium-devel'
    added the missing catkin_EXPORTED_TARGETS dependency
    See merge request ros-overlays/aruco_ros!3
  * added the missing catkin_EXPORTED_TARGETS dependency
  * Contributors: Sai Kishor Kothakota, saikishor

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Sun, 15 May 2022 16:00:00 -0000

ros-humble-aruco-ros (3.0.2-2bookworm) bookworm; urgency=high

  * Merge pull request #103 from bmagyar/make-sai-maintainer
    Make Sai maintainer of all aruco_ros packages
  * Make Sai maintainer of all
  * Update license tags in the package.xml
  * Contributors: Bence Magyar, Sai Kishor Kothakota

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-aruco-ros (3.0.1-2bookworm) bookworm; urgency=high

  * Merge branch 'fix_camera_matrix_gallium' into 'gallium-devel'
    fix the issue with the improper camera matrix with non rectified images
    See merge request ros-overlays/aruco_ros!2
  * fix the issue with the improper camera matrix with non rectified images
  * Contributors: Sai Kishor Kothakota, saikishor

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Wed, 09 Feb 2022 16:00:00 -0000

ros-humble-aruco-ros (3.0.0-2bookworm) bookworm; urgency=high

  * fixes pal-robotics/aruco_ros/#89
  * Contributors: 444lhc

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Thu, 15 Jul 2021 16:00:00 -0000

ros-humble-aruco-ros (2.1.1-2bookworm) bookworm; urgency=high

  * Use time stamps from image messages
  * Contributors: Markus Vieth

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Wed, 16 Sep 2020 16:00:00 -0000

ros-humble-aruco-ros (2.1.0-2bookworm) bookworm; urgency=high

  * Migrate to tf2 and add utilities
  * Add support for camera extrinsics when dealing with stereo cameras
  * Contributors: Victor Lopez

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 20 Jan 2020 16:00:00 -0000

ros-humble-aruco-ros (2.0.2-2bookworm) bookworm; urgency=high

  * Add SYSTEM to external include dirs
  * Contributors: Victor Lopez

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Fri, 08 Nov 2019 16:00:00 -0000

ros-humble-aruco-ros (2.0.1-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Thu, 26 Sep 2019 16:00:00 -0000

ros-humble-aruco-ros (1.0.0-2bookworm) bookworm; urgency=high

  * Merge pull request #68 <https://github.com/pal-robotics/aruco_ros//issues/68> from aPonza/ros_format
    Autoformatting as per CppStyleGuide
  * removed using namespace declarations
  * autoformatting as per CppStyleGuide
  * Merge pull request #58 <https://github.com/pal-robotics/aruco_ros//issues/58> from jrgnicho/aruco-3.0.4
    Sets the 'useRectifiedImages' member from a parameter before it uses it
  * sets the 'useRectifiedImages' member from a parameter before it uses it
  * Update readme for new coordinates
  * Fix orientation changes in aruco 3.0.0
  * Migration to aruco 3.0.4
  * Merge branch 'indigo-devel' into kinetic-devel


=== debian/control ===
Source: ros-humble-aruco-ros
Section: misc
Priority: optional
Maintainer: Sai Kishor Kothakota <sai.kishor@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-aruco, ros-humble-aruco-msgs, ros-humble-cv-bridge, ros-humble-geometry-msgs, ros-humble-image-transport, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-tf2-ros, ros-humble-visualization-msgs, ros-humble-ros-workspace
Homepage: http://www.uco.es/investiga/grupos/ava/node/26
Standards-Version: 3.9.2

Package: ros-humble-aruco-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-aruco, ros-humble-aruco-msgs, ros-humble-cv-bridge, ros-humble-geometry-msgs, ros-humble-image-transport, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-tf2-ros, ros-humble-visualization-msgs, ros-humble-ros-workspace
Description: The ARUCO Library has been developed by the Ava group of the Univeristy of Cordoba(Spain).
 It provides real-time marker based 3D pose estimation using AR markers.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-aruco-ros//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-aruco-ros//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-aruco-ros//opt/ros/humble/opt/aruco_ros/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
